/* 
 * Based on code from Chris Reed's post to the coreaudio mailing list
 *   Date: Thu, 17 Oct 2002 11:00:37 -0500
 *   Subject: Re: Crashing when loading 3rd party AU
 *   From: Chris Reed
 *
 * See swiki: http://www.mat.ucsb.edu:8000/CoreAudio/15
 */ 

#import <AppKit/AppKit.h>
#import <AudioUnit/AudioUnit.h>

@interface AUEditController : NSWindowController
{
	ComponentDescription _editUnitCD;
	AudioUnit _editUnit;
	AudioUnitCarbonView _editView;
	WindowRef _carbonWindow;
	
	id _delegate;
}

// delegate should conform to the AUEditControllerDelegate protocol
+ (id)editorForAudioUnit:(AudioUnit)unit forceGeneric:(BOOL)forceGeneric delegate:(id)delegate;
- (id)initWithAudioUnit:(AudioUnit)unit forceGeneric:(BOOL)forceGeneric delegate:(id)delegate;

@end

@interface NSObject(AUEditControllerDelegate)

- (void)auEditwindowClosed:(AUEditController*)auEditController;

@end
